cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
944
Views
5
Helpful
10
Replies

Problem with Optics Compatibility Matrix SFP

Thiago Borba
Beginner
Beginner

Hi Team,

I have a problem with compatibility between Cisco 2960 and GLC-FE-100FX. When I just installing the SFP, the port is err disabling.

SWITCH_Y3_A#sh interface status err

Port Name Status Reason
Gi0/1 100FX err-disabled gbic-invalid

According to compatibility matrix, everything os ok

ThiagoBorba_0-1675860928155.png

Software on 2960 is 12.2 (35)

10 Replies 10

Joseph W. Doherty
Hall of Fame
Hall of Fame

"Software on 2960 is 12.2 (35)"

12.2(35)FX?  (I don't have access to 2960 software listing, so cannot determine if there's such a IOS version, but your posted table does describe 12.2(25)FX in the minimum software requirement.)

Below The information from device and release for versions one is from 2005 and actual from 2008, but is SE5

ThiagoBorba_0-1675880032197.jpeg

ThiagoBorba_1-1675880441577.png

ThiagoBorba_2-1675880742555.png

For me if actual version is from 2008 it should work, isn't?

Possibly issue might also be due to LAN Base feature set.

So... can I disable the feature or it is necessary to change the software?

 

Unsure (in your case).  On some switches, features are totally associated with the IOS installed and/or enabled/active licenses.  On some switch models, the LAN Base models are "locked" such that they cannot be upgraded, at all, with additional features.  (I believe when the latter is done, Cisco sets a larger price difference between the LAN Base and other models in the series, i.e. a feature of the non-LAN Base models, is you can upgrade them if you need to.  [The LAN Base models, might also not have all the same hardware as their non-LAN Base models, too.])

Thanks @Joseph W. Doherty . 

It is not very clear to me the question of superior software not having compatibility even having the hardware installed and functional, in this case the port (which I tested by connecting the two 2960s through two GLC-SX-MM on the SFP ports).

What I'm going to try to do is get the latest version with this suffix (FX) and install it. If you think I can handle it differently, let me know.

 

"What I'm going to try to do is get the latest version with this suffix (FX) and install it."

Worth trying.  Unfortunately, as I mentioned in an earlier post, I was unable to "see" any 2960 software downloads, so I don't know what's actually available (if any, as your switch might be beyond end-of-support, and Cisco, I believe, now withdraws downloads for such [EoS] devices).

Joseph W. Doherty
Hall of Fame
Hall of Fame

@Leo Laohoo comments?

@Thiago Borba, are you shopping for answers?

This is the 4th thread you've created with the same issue (and subsequently deleted the other threads). 

Nobody in this forum has the time to play games.  

@Leo Laohoo , I apologize for taking up your time. We really don't have time for games here and I agree with your statement.

I currently have 2 threads open, as I understand that they are about two issues, one about gbic compatibility, which I posted in the section that I thought was most correct (optics) and the other about the connection of the 2955 with the 2960 that is in the section switching which I found more correct too.

Although the posts have some similar content, I've done this with the intention of keeping each thread in its proper place, and the community organized. If we can talk about a subject totally focused on optical compatibility in the switching section, as a begginer it's only fair to agree with you who are a legend in the community. And thank you for your proactive attitude.

Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: